Bug 36541 - Wrong syntax highlighting in BASIC IDE
Summary: Wrong syntax highlighting in BASIC IDE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium minor
Assignee: tagezi
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-24 06:11 UTC by Andreas Becker
Modified: 2017-05-27 18:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the IDE with wrong highlighting (27.55 KB, image/png)
2011-04-24 06:11 UTC, Andreas Becker
Details
patch that fixes the wrong highlighting (5.90 KB, patch)
2011-04-25 16:13 UTC, Andreas Becker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Becker 2011-04-24 06:11:48 UTC
Created attachment 46017 [details]
screenshot of the IDE with wrong highlighting

Two slashes make the rest of the line in the BASIC IDE to be displayed grey like a comment. However, two slashes are invalid syntax and a "General Error" message appears when the code is run.

The highlighting should be normal instead of grey.
Comment 1 Andreas Becker 2011-04-25 16:13:35 UTC
Created attachment 46070 [details]
patch that fixes the wrong highlighting

And here is the patch for it!
Comment 2 clio 2011-05-23 02:56:44 UTC
Please, can you Noel review/push the patch?
Comment 3 clio 2011-05-23 14:26:35 UTC
I tested the patch with libreoffice-3.4.0.1 branch and haven't noticed any regressions. This patch also changes color of operators. Before this patch for most of them it was blue (+&^*.%&), and dark grey for the rest (/-\#). After the patch they are blue (except \ which is a integer division symbol used very rarely, ISTM). Question mark and semicolon were light-blue, became blue.
Comment 4 Thorsten Behrens (CIB) 2012-07-25 18:50:47 UTC
(In reply to comment #2)
> Please, can you Noel review/push the patch?
>
Noel, any insight? Or has this been merged or implemented somehow, meanwhile?
Comment 5 Noel Power 2012-07-25 19:16:41 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > Please, can you Noel review/push the patch?
> >
> Noel, any insight? Or has this been merged or implemented somehow, meanwhile?

sure, awaiting license info see
http://thread.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/29370/focus=29481
Comment 6 QA Administrators 2015-01-05 17:51:12 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-01-17 20:02:10 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 13:49:58 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2017-05-27 10:56:10 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dbf9543c6f83d7b1fe7ad27232f65152456619a

tdf#36541 Wrong syntax highlighting in BASIC IDE

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-05-27 18:01:23 UTC
tagezi committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2121ed8c14763c465ed913982b36328c21c313f4&h=libreoffice-5-4

tdf#36541 Wrong syntax highlighting in BASIC IDE

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.